### Hierarchy

- unknown
  - SignContractResponse

## Index

### Constructors

- constructor

### Methods

- clearPubKeyRing
- clearSenderNodeAddress
- getContractAsJson
- getContractSignature
- getCurrentDate
- getEncryptedPaymentAccountPayload
- getEncryptedPaymentAccountPayload_asB64
- getEncryptedPaymentAccountPayload_asU8
- getPubKeyRing
- getSenderNodeAddress
- getTradeId
- getUid
- hasPubKeyRing
- hasSenderNodeAddress
- serializeBinary
- setContractAsJson
- setContractSignature
- setCurrentDate
- setEncryptedPaymentAccountPayload
- setPubKeyRing
- setSenderNodeAddress
- setTradeId
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SignContractResponse(): SignContractResponse

- Inherited from jspb.Message.constructor

  #### Returns SignContractResponse

## Methods

### clearPubKeyRing

- clearPubKeyRing(): SignContractResponse

- - Defined in src/protobuf/pb_pb.d.ts:1461

  #### Returns SignContractResponse

### clearSenderNodeAddress

- clearSenderNodeAddress(): SignContractResponse

- - Defined in src/protobuf/pb_pb.d.ts:1456

  #### Returns SignContractResponse

### getContractAsJson

- getContractAsJson(): string

- - Defined in src/protobuf/pb_pb.d.ts:1469

  #### Returns string

### getContractSignature

- getContractSignature(): string

- - Defined in src/protobuf/pb_pb.d.ts:1472

  #### Returns string

### getCurrentDate

- getCurrentDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:1466

  #### Returns number

### getEncryptedPaymentAccountPayload

- getEncryptedPaymentAccountPayload(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1475

  #### Returns string | Uint8Array

### getEncryptedPaymentAccountPayload_asB64

- getEncryptedPaymentAccountPayload_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:1477

  #### Returns string

### getEncryptedPaymentAccountPayload_asU8

- getEncryptedPaymentAccountPayload_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1476

  #### Returns Uint8Array

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:1458

  #### Returns undefined | PubKeyRing

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1453

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1450

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1463

  #### Returns string

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1460

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1455

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1480

  #### Returns Uint8Array

### setContractAsJson

- setContractAsJson(value: string): SignContractResponse

- - Defined in src/protobuf/pb_pb.d.ts:1470

  #### Parameters

  - ##### value: string

  #### Returns SignContractResponse

### setContractSignature

- setContractSignature(value: string): SignContractResponse

- - Defined in src/protobuf/pb_pb.d.ts:1473

  #### Parameters

  - ##### value: string

  #### Returns SignContractResponse

### setCurrentDate

- setCurrentDate(value: number): SignContractResponse

- - Defined in src/protobuf/pb_pb.d.ts:1467

  #### Parameters

  - ##### value: number

  #### Returns SignContractResponse

### setEncryptedPaymentAccountPayload

- setEncryptedPaymentAccountPayload(value: string | Uint8Array): SignContractResponse

- - Defined in src/protobuf/pb_pb.d.ts:1478

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignContractResponse

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): SignContractResponse

- - Defined in src/protobuf/pb_pb.d.ts:1459

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns SignContractResponse

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): SignContractResponse

- - Defined in src/protobuf/pb_pb.d.ts:1454

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns SignContractResponse

### setTradeId

- setTradeId(value: string): SignContractResponse

- - Defined in src/protobuf/pb_pb.d.ts:1451

  #### Parameters

  - ##### value: string

  #### Returns SignContractResponse

### setUid

- setUid(value: string): SignContractResponse

- - Defined in src/protobuf/pb_pb.d.ts:1464

  #### Parameters

  - ##### value: string

  #### Returns SignContractResponse

### toObject

- toObject(includeInstance?: boolean): SignContractResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1481

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SignContractResponse . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignContractResponse

- - Defined in src/protobuf/pb_pb.d.ts:1484

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignContractResponse

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignContractResponse, reader: BinaryReader): SignContractResponse

- - Defined in src/protobuf/pb_pb.d.ts:1485

  #### Parameters

  - ##### message: SignContractResponse

  - ##### reader: BinaryReader

  #### Returns SignContractResponse

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SignContractResponse, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1483

  #### Parameters

  - ##### message: SignContractResponse

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SignContractResponse ): SignContractResponse . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1482

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignContractResponse

  #### Returns SignContractResponse . AsObject

Generated using TypeDoc